QUnit.module("Curso. Cuando se crea una nueva instancia ");

  var curso = new Curso();
    
  test( "El nombre no debe estar definido", function ( ) {
    equal(curso.nombre, undefined, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });

  test( "La fecha de inicio no debe estar definida", function ( ) {
    equal(curso.inicio, undefined, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });

  test( "La fecha de término no debe estar definida", function ( ) {
    equal(curso.termino, undefined, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });


  test( "La duración del curso no debe estar definida", function ( ) {
    equal(curso.duracion(), undefined, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });

QUnit.module("Curso. Cuando se  le asignan valores a la instancia ", {
  setup: function () {
    curso.nombre = "JavaScript";
    curso.inicio = new Date(2014, 0, 1);
    curso.termino = new Date(2014, 0, 11);    
  }
});

  test( "El nombre debe estar definido", function ( ) {
    equal(curso.nombre, "JavaScript", "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });

  test( "La fecha de inicio debe estar definida", function ( ) {
    var fecha = new Date(2014, 0, 1);
    equal(+curso.inicio, +fecha, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });

  test( "La fecha de término debe estar definida", function ( ) {
    var fecha = new Date(2014, 0, 11);      
    equal(+curso.termino, +fecha, "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });


  test( "La duración del curso debe estar definida", function ( ) {
    equal(curso.duracion(), "10 dias", "Cuando se crea una instancia del curso sus atributos no deben de estar definidos.");
  });
  
